@metadata_processor
def nodejs_apt_repos(metadata):
    return {
        'apt': {
            'repos': {
                'yarn': {
                    'key': '72ECF46A56B4AD39C907BBB71646B01B86E50310',
                    'items': [
                        'deb https://dl.yarnpkg.com/debian/ stable main',
                    ],
                },
                'node': {
                    'key': '9FD3B784BC1C6FC31A8A0A1C1655A0AB68576280',
                    'items': [
                        'deb https://deb.nodesource.com/node_10.x buster main',
                        'deb-src https://deb.nodesource.com/node_10.x buster main',
                    ],
                },
            },
            'unattended-upgrades': {
                'origins': {
                    'o=Node Source,n=buster,l=Node Source,c=main',
                    'o=yarn,a=stable,n=stable,l=yarn-stable,c=main',
                },
            },
            'packages': {
                'nodejs': {},
                'yarn': {},
            },
        },
    }, DEFAULTS, DONE
